<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xs:schema version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:element name="itemFormativoEsercizio" type="itemFormativoEsercizio"/>
  <xs:complexType name="itemFormativoEsercizio">
    <xs:sequence>
      <xs:element name="mdprerequisitelist" type="xs:string" minOccurs="0" maxOccurs="unbounded"/>
      <xs:element name="mdcomponentlist" type="xs:string" minOccurs="0" maxOccurs="unbounded"/>
      <xs:element name="mdwhy" type="xs:string" minOccurs="0"/>
      <xs:element name="mdexpectedresult" type="xs:string" minOccurs="0"/>
      <xs:element name="mdextras" type="xs:string" minOccurs="0"/>
      <xs:element name="mderraticbehavior" type="xs:string" minOccurs="0"/>
      <xs:element name="mdcommonerrors" type="xs:string" minOccurs="0"/>
      <xs:element name="mdlessonlearned" type="xs:string" minOccurs="0"/>
      <xs:element name="mdsolution" type="xs:string" minOccurs="0"/>
      <xs:element name="mdtodolist" type="xs:string" minOccurs="0" maxOccurs="unbounded"/>
      <xs:element name="mdpbldetails" type="xs:string" minOccurs="0"/>
      <xs:element name="risorseCollegate" type="risorseCollegateType" minOccurs="0" maxOccurs="unbounded"/>
    </xs:sequence>
    <xs:attribute name="nomeDescrittivo" type="xs:string" use="required"/>
    <xs:attribute name="identificatoreArgomento" type="xs:string" use="required"/>
    <xs:attribute name="prerequisiti" type="xs:string" use="required"/>
    <xs:attribute name="tags" type="xs:string" use="required"/>
    <xs:attribute name="fondamentale" type="xs:boolean"/>
    <xs:attribute name="mdPblproblem" type="xs:boolean"/>
    <xs:attribute name="mdPblnewlearninggoal" type="xs:boolean"/>
    <xs:attribute name="tempoRichiesto" type="xs:int"/>
    <xs:attribute name="tipoTempo" type="tipoTempo"/>
    <xs:attribute name="versione" type="xs:int"/>
  </xs:complexType>
  
  <xs:complexType name="risorseCollegateType" mixed="true">
    <xs:sequence>
      <xs:element name="datiRisorsaCollegata" type="datiRisorsaCollegata"/>
    </xs:sequence>
  </xs:complexType>
  
  <xs:complexType name="datiRisorsaCollegata">
    <xs:sequence>
      <xs:element name="nomeFile" type="xs:string" minOccurs="1"/>
      <xs:element name="testoDescrittivo" type="xs:string" minOccurs="0"/>
      <xs:element name="identificativoFile" type="xs:string" minOccurs="0"/>
      <xs:element name="fScaleWidth" type="xs:float" minOccurs="0"/>
    </xs:sequence>
  </xs:complexType>
  
  <xs:simpleType name="tipoTempo">
    <xs:restriction base="xs:string">
      <xs:pattern value="(ore|minuti)"/>
    </xs:restriction>
  </xs:simpleType>
</xs:schema>
